Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen
Class SVGAttributeMap

    java.lang.Object
      org.apache.batik.svggen.SVGAttributeMap

public class SVGAttributeMap
extends java.lang.Object

Repository of SVG attribute descriptions, accessible by name.

Constructor Summary
`SVGAttributeMap()`

Method Summary
`static SVGAttribute` | `get(java.lang.String attrName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGAttributeMap

    public SVGAttributeMap()

Method Detail

### get

    public static SVGAttribute get(java.lang.String attrName)

  Returns:
    attribute with requested name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.